Bug 1445767 - Native library rdiscount.so can't be found
Summary: Native library rdiscount.so can't be found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: rubygem-rdiscount
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gerd Pokorra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 13:09 UTC by František Dvořák
Modified: 2017-05-14 21:54 UTC (History)
2 users (show)

Fixed In Version: rubygem-rdiscount-2.1.8-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-14 21:54:58 UTC


Attachments (Terms of Use)

Description František Dvořák 2017-04-26 13:09:05 UTC
Description of problem:

Native library can't be found when using rubygem-rdiscount package at runtime.


Version-Release number of selected component (if applicable):

2.1.7.1-9.el7


How reproducible:

always


Steps to Reproduce:

yum install -y 'rubygem(rdiscount)'
ruby -rrdiscount -e 'p RDiscount::VERSION'


Actual results:

/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- rdiscount.so (LoadError)
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
	from /usr/share/gems/gems/rdiscount-2.1.7.1/lib/rdiscount.rb:108:in `<top (required)>'
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:135:in `require'
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:135:in `rescue in require'
	from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:144:in `require'


Expected results:

"2.1.7"


Additional info:

For EPEL 7, rdiscount.so needs to be installed into lib/ subdirectory:

  %{buildroot}%{gem_extdir_mri}/lib/

Comment 1 Gerd Pokorra 2017-04-27 08:42:49 UTC
I can reproduce the error. I will start to work on a fix.

Comment 2 Gerd Pokorra 2017-04-27 12:34:00 UTC
A successful epel7 scratch is at:

https://koji.fedoraproject.org/koji/taskinfo?taskID=19233314

Comment 3 František Dvořák 2017-04-28 12:56:54 UTC
Yes, the scratch build works good - the simple require and also the rendering.

Comment 4 Fedora Update System 2017-04-29 07:36:27 UTC
rubygem-rdiscount-2.1.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c725ecc60a

Comment 5 Fedora Update System 2017-04-30 00:51:26 UTC
rubygem-rdiscount-2.1.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-c725ecc60a

Comment 6 Fedora Update System 2017-05-14 21:54:58 UTC
rubygem-rdiscount-2.1.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.